Subject: bug#12821: closed (Re: bug#12821: 24.3.50; Cygwin Emacs gets stuck when yanking a text)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Nov 2012 10:49:04 +0000

Your bug report

#12821: 24.3.50; Cygwin Emacs gets stuck when yanking a text

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12821: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12821
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12821: 24.3.50; Cygwin Emacs gets stuck when yanking a text
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Nov 2012 19:47:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Closed.  Sorry for the noise.

Katsumi Yamaoka wrote:
> Katsumi Yamaoka wrote:
>> Ken Brown <[email-masked]> wrote:
>> [...]
>>> Can you give a recipe for reproducing this problem?

>>> Does it only happen with a build from the trunk?  Or do you see this
>>> problem with Emacs 24.2 and/or a build from the emacs-24 branch?

>>> Is it specific to the Lucid toolkit or does it also happen with a GTK+
>>> build (as in the version of Emacs in the Cygwin distribution)?

>> Thanks for following this up.  I'll report more precise recipe
>> and additional infos tomorrow.  (I'm on Linux in home.)

> Strangely I'm unable to reproduce the problem today.  Even
> the copying of Excel's cell is successful; a text component of
> the cell is yanked regardless of whether it is ASCII text or
> non-ASCII text.  So, I'll close this thread if it doesn't seem
> to happen anymore, within a week maybe.

> Until yesterday it was happening since I started to use Cygwin
> for work early in the last year.  So, it is not a matter on only
> 24.3.50.  I can recall it happened with not only Lucid Emacs I
> built from the bzr source but also GTK Emacs Cygwin distributed.
> Any Windows application had a difficulty on copying and yanking
> text to Emacs.

> I had a knack to do it successfully, though it is not necessarily
> 100% effective.  That is to yank a text to Emacs in a single
> action, i.e., click the mouse-2 button on an Emacs frame without
> touching anything of inside of frame's matte.

> P.S. I've updated the Cygwin installation using SETUP.EXE today
> for the first time in a week.  Emacs is being built every day.

Subject: 24.3.50; Cygwin Emacs gets stuck when yanking a text
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Wed, 07 Nov 2012 18:23:51 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

It is annoying that Cygwin Emacs often gets stuck when yanking
a text from a Windows application.  C-g seems to be effective
though it takes tens of seconds.  I don't know what Emacs tries
to yank, but it sometimes shows the message "!MEM FULL!" on
the mode line moreover.  I wish it could work like on Linux.

Thanks.

In GNU Emacs 24.3.50.1 (i686-pc-cygwin, X toolkit, Xaw3d scroll bars)
 of 2012-11-07 on yamaoka-PC
Bzr revision: 110820 [email-masked]
Windowing system distributor `The Cygwin/X Project', version 11.0.11300000
Configured using:
 `configure '--with-x-toolkit=lucid' '--without-imagemagick'
 '--without-dbus' '--without-gconf' '--without-gsettings''